
public class Class481 {

   static Class481 aClass481_5851 = new Class481("game4", "Game 4", 3, Class393.aClass393_4861);
   static Class481 aClass481_5852 = new Class481("game3", "Game 3", 2, Class393.aClass393_4864);
   static Class481 aClass481_5853 = new Class481("game5", "Game 5", 4, Class393.aClass393_4865);
   public static Class481 aClass481_5854 = new Class481("runescape", "RuneScape", 0, Class393.aClass393_4864);
   public static Class481 aClass481_5855 = new Class481("stellardawn", "Stellar Dawn", 1, Class393.aClass393_4862);
   static Class481 aClass481_5856 = new Class481("oldscape", "RuneScape 2007", 5, Class393.aClass393_4864);
   public String aString5857;
   public String aString5858;
   public int anInt5859;
   public static Class464 aClass464_5860;


   Class481(String var1, String var2, int var3, Class393 var4) {
      this.aString5857 = var1;
      this.aString5858 = var2;
      this.anInt5859 = var3 * 132040799;
   }

   static Class481[] method8091() {
      return new Class481[]{aClass481_5854, aClass481_5856, aClass481_5853, aClass481_5855, aClass481_5852, aClass481_5851};
   }

   public static Class481 method8092(int var0) {
      Class481[] var1 = Class225_Sub31.method14006(-580009098);

      for(int var2 = 0; var2 < var1.length; ++var2) {
         Class481 var3 = var1[var2];
         if(var3.anInt5859 * -179465313 == var0) {
            return var3;
         }
      }

      return null;
   }

   static void method8093(Class124 var0, int var1, int var2, int var3) {
      Class120 var4 = var0.method2391(Class428.aClass545_5383, -1263736983);
      if(var4 != null) {
         Class428.aClass545_5383.r(var1, var2, var0.anInt1368 * 516053361 + var1, var2 + 437250785 * var0.anInt1383);
         if(791254827 * Class178.anInt2164 < 3) {
            int var5;
            if(4 == -1736568489 * Class225_Sub21_Sub5.anInt10087) {
               var5 = (int)((double)Class336.aClass35_Sub1_4206.method918((byte)92) * 2607.5945876176133D);
            } else {
               var5 = (int)(-client.aFloat7750);
            }

            var5 = client.anInt7754 * 2120278742 + var5 & 16383;
            var5 <<= 2;
            Class565.aClass171_7504.method2937((float)var1 + (float)(516053361 * var0.anInt1368) / 2.0F, (float)var2 + (float)(437250785 * var0.anInt1383) / 2.0F, 4425, var5, var4.aClass496_1199, var1, var2);
         } else {
            Class428.aClass545_5383.DA(-16777216, var4.aClass496_1199, var1, var2);
         }

      }
   }

   static final void method8094(Class508 var0, int var1) {
      var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = ((Class515_Sub1_Sub4_Sub4_Sub1)var0.aClass515_Sub1_Sub4_Sub4_6021).method16798(true, -827604483);
   }

   static void method8095(int var0, int var1, int var2, int var3, int var4) {
      float var5 = (float)Class215_Sub1.anInt2546 / (float)Class215_Sub1.anInt2526;
      int var6 = var2;
      int var7 = var3;
      if(var5 < 1.0F) {
         var7 = (int)((float)var2 * var5);
      } else {
         var6 = (int)((float)var3 / var5);
      }

      var0 -= (var2 - var6) / 2;
      var1 -= (var3 - var7) / 2;
      Class72.anInt689 = var0 * Class215_Sub1.anInt2526 / var6 * -128256129;
      Class383.anInt4773 = -1861668749 * (Class215_Sub1.anInt2546 - Class215_Sub1.anInt2546 * var1 / var7);
      Class215_Sub1.anInt8335 = -163613985;
      Class215_Sub1.anInt8336 = -471411789;
      Class10.method684(-930730332);
   }

   public static void method8096(int var0, byte var1) {
      Class215_Sub1.anInt8342 = var0 * 264234723;
      Class215_Sub1.anInt8346 = -1858130899;
      Class260.anInt3053 = -212113567;
      Class215_Sub1.anInt8341 = 1735035796;
   }
}
